Bug 20614 - Firefox prevents parent page reload when renewing subscriptions
Summary: Firefox prevents parent page reload when renewing subscriptions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 7910
  Show dependency treegraph
 
Reported: 2018-04-18 18:37 UTC by Jonathan Druart
Modified: 2018-10-24 09:13 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20614: Use GET instead of POST for subscription renewing (1.34 KB, patch)
2018-04-18 18:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20614: Use GET instead of POST for subscription renewing (1.39 KB, patch)
2018-04-18 22:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-04-18 18:37:23 UTC
On "Home › Serials › Check expiration", the "Renew" buttons open a popup which will reload the parent page when closed.

But Firefox prevents the page to reload (form resubmit):

"To display this page, Firefox must send information that will repeat any action (such as a search or order confirmation) that was performed earlier."
Comment 1 Jonathan Druart 2018-04-18 18:39:56 UTC
Created attachment 74500 [details] [review]
Bug 20614: Use GET instead of POST for subscription renewing

It will prevent Firefox (and certainly other browsers) to block the form
resubmit:

"To display this page, Firefox must send information that will repeat
any action (such as a search or order confirmation) that was performed
earlier."

Test plan:
Renew a subscription and save

=> You should not longer see the browser warning
Comment 2 Katrin Fischer 2018-04-18 22:59:45 UTC
Created attachment 74509 [details] [review]
Bug 20614: Use GET instead of POST for subscription renewing

It will prevent Firefox (and certainly other browsers) to block the form
resubmit:

"To display this page, Firefox must send information that will repeat
any action (such as a search or order confirmation) that was performed
earlier."

Test plan:
Renew a subscription and save

=> You should not longer see the browser warning

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Jonathan Druart 2018-04-24 15:38:34 UTC
Pushed to master for 18.05